Sweep

Create a new deploy validation sweep

Creates a new sweep that crawls a URL from multiple geographic regions.

POST
/crawl/v1/sweep/new

Request Body

application/json

Sweep parameters

url*string

URL to crawl from multiple regions.

regions*array<>

List of region codes to crawl from. Available values: NA, EU, APAC, LATAM, MEA.

tries_per_region?integer

Number of crawl attempts per region. Minimum 1, maximum 10.

Default3
Range1 <= value <= 10
timeout_sec?integer

Request timeout in seconds for each job. Minimum 1, maximum 120.

Default60
Range1 <= value <= 120
device_type?string

Device type to use for crawling.

Default"mobile"
Value in"mobile" | "desktop"

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://edge.uprock.com/crawl/v1/sweep/new" \  -H "Content-Type: application/json" \  -d '{    "url": "https://example.com",    "regions": [      "NA",      "EU",      "APAC"    ],    "tries_per_region": 3,    "timeout_sec": 60,    "device_type": "mobile"  }'
{
  "sweep_id": "5cb37d22-bdf7-432c-83a3-6b2d1645ed54",
  "url": "https://example.com",
  "regions": [
    "NA",
    "EU",
    "APAC"
  ],
  "total_jobs": 9,
  "created_at": "2026-02-17T17:38:37.438625318Z",
  "job_ids": [
    "5cb37d22-bdf7-432c-83a3-6b2d1645ed54",
    "21844308-7360-4fe3-b969-e5f40d6ff571",
    "f2bf9f8b-10ee-4c61-9633-4eacc3e8aac8"
  ]
}
"invalid request: url is required"
"unauthorized: invalid or missing API key"
"internal server error: please try again later"